Name: libmpc
Version: 1.3.1
Release: 1
Summary: C library for multiple precision complex arithmetic
License: LGPLv3+ and GFDL-1.3-only
URL: http://www.multiprecision.org/
Source0: https://ftp.gnu.org/gnu/mpc/mpc-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: gmp-devel >= 5.0.0
BuildRequires: mpfr-devel >= 4.1.0
BuildRequires: texinfo

%description
MPC is a C library for the arithmetic of complex numbers with arbitrarily high
precision and correct rounding of the result.  It is built upon and follows the
same principles as MPFR.

%package devel
Summary: Header and shared development libraries for MPC

Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: mpfr-devel gmp-devel

%description devel
Header files and shared object symlinks for MPC is a C library.

%prep
%setup -q -n mpc-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

export CPPFLAGS="%{optflags} -std=gnu99"
export CFLAGS="%{optflags} -std=gnu99"
export EGREP=egrep

%check
make check

%install
%make_install
rm -f $RPM_BUILD_ROOT/%{_libdir}/libmpc.la
rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir

%ldconfig_scriptlets

%preun devel
if [ $1 = 0 ]; then
    if [ -f %{_infodir}/mpc.info.gz ]; then # for --excludedocs
        /sbin/install-info --delete %{_infodir}/mpc.info.gz %{_infodir}/dir || :
    fi
fi

%post devel
if [ -f %{_infodir}/mpc.info.gz ]; then # for --excludedocs
    /sbin/install-info %{_infodir}/mpc.info.gz %{_infodir}/dir || :
fi

%files
%doc README NEWS
%license COPYING.LESSER
%{_libdir}/libmpc.so.3*

%files devel
%{_infodir}/*.info*
%{_includedir}/mpc.h
%{_libdir}/libmpc.so

%changelog
* Sat Jan 28 2023 Wenyu Liu<liuwenyu7@huawei.com> - 1.3.1-1
- Upgrade to 1.3.1

* Thu Jan 5 2023 Wenyu Liu<liuwenyu7@huawei.com> - 1.2.0-4
- Rectify the content that does not comply with specifications in the spec file

* Mon June 6 2022 Xinyi Gou<rv7dzzhhs4c@163.com> - 1.2.0-3
- Specify license version

* Thu Sep 24 2020 EulerOSWander<314264452@qq.com> - 1.2.0-2
- added missing include.

* Sat Aug 22 2020 Yunfeng Ye<yeyunfeng@huawei.com> - 1.2.0-1
- Upgrade to 1.2.0

* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.0-3
- Package init
